/* #import <appkit/appkit.h> */

#ifndef __WADFILE__
#define __WADFILE__

typedef struct
{
	FILE		*handle;
	char		*pathname;
	STORAGE 	*info;
	boolean	dirty;
} WADFILE;

/*void	initFromFile(void); */
void initFromFile(void);
void	initNew(void);
void	WadfileClose(void);
void	WadfileFree(void);
/* WADFILE *WadfileClose(WADFILE *self); */
/* void WadfileFree(WADFILE *self); */

/* int numLumps(WADFILE *self); */
int numLumps(void);
/*int lumpsize(WADFILE *self,int lump); */
int lumpsize(int);
/*int lumpstart(WADFILE *self,int lump); */
int lumpstart(int);
/*char const *lumpname(WADFILE *self,int lump); */
char const *lumpname(int);
/* int lumpNamed(WADFILE *self,char const *name); */
int lumpNamed(char const *);
/*void *loadLump(WADFILE *self,int lump); */
void *loadLump(int);
/* void *loadLumpNamed(WADFILE *self,char const *name); */
void *loadLumpNamed(char const *);

/* WADFILE *addName(WADFILE *self,char const *name, void *data, int size); */
void addName(char const *, void *, int);
/* WADFILE *writeDirectory(WADFILE *self); */
void writeDirectory(void);

#endif
